Skip to main content
GET
List Fills

Authorizations

Authorization
string
header
required

A bearer token signed using your API Key Secret, see Creating API Keys section of our docs for more information. See Scope & Permissions for the permission each endpoint requires.

Query Parameters

order_ids
string[]

The ID(s) of order(s).

trade_ids
string[]

The ID(s) of the trades of fills.

product_ids
string[]

Canonical product ID(s) to filter fills by. For equities, use product_id rather than the display ticker.

start_sequence_timestamp
string<RFC3339 Timestamp>

Only fills with a trade time after the specified start date are returned.

end_sequence_timestamp
string<RFC3339 Timestamp>

Only fills with a trade time before the specified end date are returned.

retail_portfolio_id
string

(Deprecated) Only fills matching this retail portfolio id are returned. Only applicable for legacy keys. CDP keys will default to the key's permissioned portfolio.

limit
integer<int64>

The number of fills to be returned (default is 100).

cursor
string

For paginated responses, returns all responses that come after this value.

sort_by
enum<string>
default:UNKNOWN_SORT_BY

Sort results by a field, results use unstable pagination. Default is sort by creation time

Available options:
UNKNOWN_SORT_BY,
PRICE,
TRADE_TIME
asset_filters
string[]

Only returns the fills where the quote, base or underlying asset matches the provided asset filter(s) (e.g. 'BTC').

order_types
enum<string>[]

Only returns fills for orders matching the specified order types (e.g. 'MARKET', 'LIMIT').

  • MARKET: A market order
  • LIMIT: A limit order
  • STOP: A stop order is an order that becomes a market order when triggered
  • STOP_LIMIT: A stop order is a limit order that doesn't go on the book until it hits the stop price
  • BRACKET: A bracket order is a way to mitigate potential losses in volatile markets, consisting of a limit price leg and a stop trigger price.
  • TWAP: TWAP order is a way to split large buy/sell orders to smaller chunks to reduce market impact
  • ROLL_OPEN: ROLL_OPEN order is the open step order of a contract roll
  • ROLL_CLOSE: ROLL_CLOSE is the close step order in a contract roll
  • LIQUIDATION: LIQUIDATION is a special order type that is used to liquidate a position
  • SCALED: SCALED order is an order that is split into multiple child orders at incrementally increasing or decreasing prices
Available options:
UNKNOWN_ORDER_TYPE,
MARKET,
LIMIT,
STOP,
STOP_LIMIT,
BRACKET,
TWAP,
ROLL_OPEN,
ROLL_CLOSE,
LIQUIDATION,
SCALED
order_side
enum<string>
default:""

Only returns fills for orders matching the specified side ('BUY' or 'SELL'). By default, returns all sides.

Available options:
BUY,
SELL
product_types
enum<string>[]

Only returns fills for orders matching the specified product types (for example, SPOT, FUTURE, or EQUITY). By default, returns all product types.

Available options:
UNKNOWN_PRODUCT_TYPE,
SPOT,
FUTURE,
EQUITY,
OPTION_GROUP,
FUTURE_GROUP
proof_token
string

Optional proof token for 2FA validation when accessing transaction history (EU SCA compliance).

Response

A successful response.

fills
Represents a fill for an order in the system · object[]

All fills matching the filters.

cursor
string

For paginated responses, returns all responses that come after this value.

Example:

"789100"

proof_token_required
boolean

Indicates that a valid proof token is required to access this data (EU SCA compliance).

Example:

true